Subject: Re: [Uta] Splitting the draft? [was RE: comments]

From: "Orit Levin (LCA)" <[email-masked]>
Date: Mon, 16 Mar 2015 22:18:11 +0000

Sorry for the delay in response and thanks to everyone who chimed in and shared their thoughts!

Based on this feedback (and personally speaking), it still makes sense to me to remove (or to move to a separate document) parts that define new concepts and mechanisms until we have an implementation (or, following an IETF principle, multiple implementations) to test the new mechanism(s) and correct any potential pitfalls. In that hypothetical case, Alexey might be willing to become an editor of the spinoff draft ;-) 

I am not speaking as a chair here until we discuss all angles in Dallas.
Cheers,
Orit.
> -----Original Message-----
> From: Alexey Melnikov [mailto:[email-masked]]
> Sent: Thursday, March 05, 2015 3:13 AM
> To: Orit Levin (LCA); [email-masked]
> Subject: Re: [Uta] Splitting the draft? [was RE: draft-ietf-uta-email-deep-00
> comments]
> 
> Hi Orit,
> 
> On 02/03/2015 23:45, Orit Levin (LCA) wrote:
> > During the last meeting, I expressed my opinion (as an individual, not as a
> chair) that it would be reasonable to split the draft into two:
> > 1.	A "best current practices for e-mail" document expanding the tls-bcp
> document and based on existing protocols and mechanisms.
> > 2.	A separate "proposed standard" document defining new
> mechanisms in order to improve email security, etc. These correspond to
> definitions in sections 5, 6, 7, the related procedures throughout the
> document, and the IANA Considerations.
> I am not a fan of creating more editorial work just for the sake of
> keeping clear separation. I think a better first question to ask would
> be if people are willing to implement "2".
> 
> My personal answer is that I already implement 1 and would like to
> implement 2.
> > There was no time for this discussion at the meeting, so we agreed to
> move it to the list. I would like to know what people think about this
> direction.
> Best Regards,
> Alexey